#include "cdevData.h"

char* str = "10.11";

main (int argc, char** argv)
{
  cdevData in;
  cdevData  out;
  char temp[80];
  int      ia;

  int barray[10];
  char *retstr[10];

  for (int i = 0; i < 1000; i++)
    barray[i] = i;

  if (in.insert ("status", barray, 1000) != CDEV_SUCCESS)
    printf ("insert byte array error\n");

  if (in.get ("status", retstr) != CDEV_SUCCESS)
    printf ("convert byte array to string array error\n");

  for (i = 0; i < 10; i++) {
    printf ("retstr[%d] is %s\n", i, retstr[i]);
    delete retstr[i];
  }
}
